emacs-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Mac OS9 support


From: YAMAMOTO Mitsuharu
Subject: Re: Mac OS9 support
Date: Thu, 03 Feb 2005 19:57:15 +0900
User-agent: Wanderlust/2.12.0 (Your Wildest Dreams) SEMI/1.14.6 (Maruoka) FLIM/1.14.6 (Marutamachi) APEL/10.6 Emacs/21.3.50 (sparc-sun-solaris2.8) MULE/5.0 (SAKAKI)

>>>>> On Wed, 02 Feb 2005 17:15:22 +0100, S├ębastien Kirche <address@hidden> 
>>>>> said:

> However, if some common tasks work (calendar, dired, ...) i tried to
> launch Gnus and it failed with the following:

The Mac OS 9 version does not support asynchronous processes or
network connections.  The synchronous process support is limited and
can only invoke specially-crafted programs.  The "Emacs and the Mac
OS" node in the Emacs info says:

  The following features of Emacs are not yet supported on the Mac OS
  8 or 9: unexec (`dump-emacs'), asynchronous subprocesses
  (`start-process'), and networking (`open-network-stream').  As a
  result, packages such as Gnus, GUD, and Comint do not work.
  However, synchronous subprocesses (`call-process') are supported.
  Since external programs to handle commands such as `print-buffer'
  and `diff' are not available on Mac OS 8 or 9, they are not
  supported.

> shell-command-to-string: Doing vfork: bad file number

> This error does not really talk to me...

Maybe some appropriate error message should be shown when a user tries
to use unsupported features.  I'll look into this matter.

                                     YAMAMOTO Mitsuharu
                                address@hidden




reply via email to

[Prev in Thread] Current Thread [Next in Thread]